Last Comment Bug 361437 - gre should be installed locally
: gre should be installed locally
Status: RESOLVED FIXED
: fixed-seamonkey1.1
Product: SeaMonkey
Classification: Client Software
Component: Installer (show other bugs)
: 1.8 Branch
: x86 Windows XP
: -- minor with 1 vote (vote)
: ---
Assigned To: Benoît
: installer
Mentors:
Depends on: 368264
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-21 15:20 PST by Benoît
Modified: 2006-12-17 17:36 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
changes GRE_Type to "Local" (1.09 KB, patch)
2006-11-21 15:22 PST, Benoît
csthomas: review+
neil: superreview+
kairo: approval‑seamonkey1.1+
Details | Diff | Review

Description Benoît 2006-11-21 15:20:14 PST
With the move to XULRunner, the shared GRE method of the old Mozilla Application Suite is pretty much obsolete. The GRE should be locally installed now.
Comment 1 Benoît 2006-11-21 15:22:38 PST
Created attachment 246218 [details] [diff] [review]
changes GRE_Type to "Local"
Comment 2 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2006-11-30 19:22:13 PST
I can't build a working installer, so I can't test this patch.
Comment 3 Benoît 2006-12-01 09:01:46 PST
I tested my patch, and it works fine. GRE is installed in the install directory, not in Common Files\mozilla.org (or elsewhere for that matter). SeaMonkey runs fine. Uninstallation also successfully removes the GRE.
Comment 4 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2006-12-02 08:35:24 PST
Comment on attachment 246218 [details] [diff] [review]
changes GRE_Type to "Local"

Code looks fine.  I couldn't test it myself.
Comment 5 Benoît 2006-12-08 10:00:25 PST
Comment on attachment 246218 [details] [diff] [review]
changes GRE_Type to "Local"

In addition to making things more tidy, there's other advantages to the GRE being installed in the application directory.

At least on Windows, instead of having to re-download the whole package again (a hassle for dial-up users), the SeaMonkey Council or a third party could provide a simple executable that removes changed GRE files and replaces them by the patched ones.

This is how the K-Meleon project handles security updates when it's not fixing K-Meleon-specific things at the same time.
Comment 6 Benoît 2006-12-08 10:01:53 PST
I didn't assign myself yet, even though the status says the bug is. Doing so now.
Comment 7 Andrew Schultz 2006-12-10 13:09:18 PST
fixed on trunk
Comment 8 Robert Kaiser (not working on stability any more) 2006-12-17 11:48:55 PST
Comment on attachment 246218 [details] [diff] [review]
changes GRE_Type to "Local"

a=me/CTho (via IRC) for SeaMonkey 1.1
Comment 9 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2006-12-17 17:36:53 PST
Checked in on branch.

Note You need to log in before you can comment on or make changes to this bug.